package gov.va.med.esr.common.batchprocess;

import gov.va.med.fw.model.AbstractEntity;
import gov.va.med.person.idmgmt.VPID;

import org.apache.commons.lang.builder.ToStringBuilder;

public class CpeMecFileData extends AbstractEntity {


	/**
	  * WI#
	  MEC_DataExtract_<date>_*.txt input file
	   FORM=742-800A^01082015^A00=^A01=JONES^A02=DANNY^A03=M^A04=^A15=0000001012826884V062027000000^A16=145234435^
	   N03=04041980^B01=333 FAKE AVE^B02=APT A^B03=^B04=SAN JUAN^B05=PR^B06=USA^B06=00907-1021^B07=^B08=^B09=^
	   H01=^H02=^H03=^H04=^H05=Y^H06=Y^H07=Y^H08=Y^H09=Y^H10=Y^H11=Y^H12=Y^H13=Y^
	 */
	private static final long serialVersionUID = -4428932523399533763L;

	private String formNumber;
	private String fileDate;
	private String namePrefix;
	private String lastName;
	private String firstName;
	private String middleName;
	private String nameSuffix;
	private String gender;
	private String vpid;
	private String ssn;
	private String dateOfBirth;
	private String addressLine1;
	private String addressLine2;
	private String addressLine3;
	private String city;
	private String state;
	private String countryCode;
	private String zipCode;
	private String postalCode;
	private String county;
	private String province;
	private String coveredAllYear;
	private String coveredJan;
	private String coveredFeb;
	private String coveredMar;
	private String coveredApr;
	private String coveredMay;
	private String coveredJun;
	private String coveredJul;
	private String coveredAug;
	private String coveredSep;
	private String coveredOct;
	private String coveredNov;
	private String coveredDec;


	public String getFormNumber() {
		return formNumber;
	}


	public void setFormNumber(String formNumber) {
		this.formNumber = formNumber;
	}


	public String getFileDate() {
		return fileDate;
	}


	public void setFileDate(String fileDate) {
		this.fileDate = fileDate;
	}


	public String getNamePrefix() {
		return namePrefix;
	}


	public void setNamePrefix(String namePrefix) {
		this.namePrefix = namePrefix;
	}


	public String getLastName() {
		return lastName;
	}


	public void setLastName(String lastName) {
		this.lastName = lastName;
	}


	public String getFirstName() {
		return firstName;
	}


	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}


	public String getMiddleName() {
		return middleName;
	}


	public void setMiddleName(String middleName) {
		this.middleName = middleName;
	}


	public String getNameSuffix() {
		return nameSuffix;
	}


	public void setNameSuffix(String nameSuffix) {
		this.nameSuffix = nameSuffix;
	}


	public String getGender() {
		return gender;
	}


	public void setGender(String gender) {
		this.gender = gender;
	}


	public String getVpid() {
		return vpid;
	}


	public void setVpid(String vpid) {
		this.vpid = vpid;
	}


	public String getSsn() {
		return ssn;
	}


	public void setSsn(String ssn) {
		this.ssn = ssn;
	}


	public String getDateOfBirth() {
		return dateOfBirth;
	}


	public void setDateOfBirth(String dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}


	public String getAddressLine1() {
		return addressLine1;
	}


	public void setAddressLine1(String addressLine1) {
		this.addressLine1 = addressLine1;
	}


	public String getAddressLine2() {
		return addressLine2;
	}


	public void setAddressLine2(String addressLine2) {
		this.addressLine2 = addressLine2;
	}


	public String getAddressLine3() {
		return addressLine3;
	}


	public void setAddressLine3(String addressLine3) {
		this.addressLine3 = addressLine3;
	}


	public String getCity() {
		return city;
	}


	public void setCity(String city) {
		this.city = city;
	}


	public String getState() {
		return state;
	}


	public void setState(String state) {
		this.state = state;
	}


	public String getCountryCode() {
		return countryCode;
	}


	public void setCountryCode(String countryCode) {
		this.countryCode = countryCode;
	}


	public String getZipCode() {
		return zipCode;
	}


	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}


	public String getPostalCode() {
		return postalCode;
	}


	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	}


	public String getCounty() {
		return county;
	}


	public void setCounty(String county) {
		this.county = county;
	}


	public String getProvince() {
		return province;
	}


	public void setProvince(String province) {
		this.province = province;
	}


	public String getCoveredAllYear() {
		return coveredAllYear;
	}


	public void setCoveredAllYear(String coveredAllYear) {
		this.coveredAllYear = coveredAllYear;
	}


	public String getCoveredJan() {
		return coveredJan;
	}


	public void setCoveredJan(String coveredJan) {
		this.coveredJan = coveredJan;
	}


	public String getCoveredFeb() {
		return coveredFeb;
	}


	public void setCoveredFeb(String coveredFeb) {
		this.coveredFeb = coveredFeb;
	}


	public String getCoveredMar() {
		return coveredMar;
	}


	public void setCoveredMar(String coveredMar) {
		this.coveredMar = coveredMar;
	}


	public String getCoveredApr() {
		return coveredApr;
	}


	public void setCoveredApr(String coveredApr) {
		this.coveredApr = coveredApr;
	}


	public String getCoveredMay() {
		return coveredMay;
	}


	public void setCoveredMay(String coveredMay) {
		this.coveredMay = coveredMay;
	}


	public String getCoveredJun() {
		return coveredJun;
	}


	public void setCoveredJun(String coveredJun) {
		this.coveredJun = coveredJun;
	}


	public String getCoveredJul() {
		return coveredJul;
	}


	public void setCoveredJul(String coveredJul) {
		this.coveredJul = coveredJul;
	}


	public String getCoveredAug() {
		return coveredAug;
	}


	public void setCoveredAug(String coveredAug) {
		this.coveredAug = coveredAug;
	}


	public String getCoveredSep() {
		return coveredSep;
	}


	public void setCoveredSep(String coveredSep) {
		this.coveredSep = coveredSep;
	}


	public String getCoveredOct() {
		return coveredOct;
	}


	public void setCoveredOct(String coveredOct) {
		this.coveredOct = coveredOct;
	}


	public String getCoveredNov() {
		return coveredNov;
	}


	public void setCoveredNov(String coveredNov) {
		this.coveredNov = coveredNov;
	}


	public String getCoveredDec() {
		return coveredDec;
	}


	public void setCoveredDec(String coveredDec) {
		this.coveredDec = coveredDec;
	}


	protected void buildToString(ToStringBuilder builder) {
		builder.append("vpid", vpid).
				append("date", fileDate);
	}

}
